﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;

namespace RadPropertyGridCustomItemElement
{
    class StandardItem : PropertyGridItemElement
    {
        public override bool IsCompatible(PropertyGridItemBase data, object context)
        {

            PropertyGridItem item = data as PropertyGridItem;
            Console.WriteLine(item.Name);
            if (item.Name == "SpecialText")
            {
                return false;
            }

            return base.IsCompatible(data, context);
        }

        protected override Type ThemeEffectiveType
        {
            get
            {
                return typeof(PropertyGridItemElement);
            }
        }
    }
}
